Index: trunk/SophyaProg/PMixer/smakefile
===================================================================
--- trunk/SophyaProg/PMixer/smakefile	(revision 3614)
+++ trunk/SophyaProg/PMixer/smakefile	(revision 3615)
@@ -58,4 +58,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector.h \
@@ -136,4 +137,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
@@ -164,4 +166,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector.h \
@@ -237,4 +240,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector.h \
@@ -310,4 +314,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector.h \
@@ -383,4 +388,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector.h \
Index: trunk/SophyaProg/PMixer/tgsky.cc
===================================================================
--- trunk/SophyaProg/PMixer/tgsky.cc	(revision 3614)
+++ trunk/SophyaProg/PMixer/tgsky.cc	(revision 3615)
@@ -16,5 +16,5 @@
     cout << " tgsky : Generation of random skies  " << endl;
     cout << " Usage: tgsky NSide TypSky Params FitsFileName [PPFName] " << endl;
-    cout << "   - TypSky = 0  Params= m,sig  , Gaussian(m,sig) " << endl;
+    cout << "   - TypSky = 0  Params= m,sig  , Gaussian(sig,m) " << endl;
     cout << "   - TypSky = 1  Params= m,sig  , OOFNoise(sig) + m" << endl;
     cout << "   - TypSky = 2  Params= K,a,b,m  K*cos(a*teta)*sin(b*phi)+m" << endl;   
Index: trunk/SophyaProg/PrgMap/Makefile
===================================================================
--- trunk/SophyaProg/PrgMap/Makefile	(revision 3614)
+++ trunk/SophyaProg/PrgMap/Makefile	(revision 3615)
@@ -61,4 +61,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
@@ -89,5 +90,4 @@
   $(SOPHYAINCP)samba.h \
   $(SOPHYAINCP)alm.h \
-  $(SOPHYAINCP)stsrand.h \
   $(SOPHYAINCP)nbmath.h \
   $(SOPHYAINCP)triangmtx.h \
@@ -115,5 +115,6 @@
   $(SOPHYAINCP)FitsIO/longnam.h \
   $(SOPHYAINCP)fitshandler.h \
-  $(SOPHYAINCP)fitstarray.h
+  $(SOPHYAINCP)fitstarray.h \
+  $(SOPHYAINCP)randr48.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cl2map.cc
  
@@ -152,4 +153,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
@@ -204,4 +206,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
@@ -255,4 +258,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
@@ -295,4 +299,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
@@ -323,5 +328,4 @@
   $(SOPHYAINCP)samba.h \
   $(SOPHYAINCP)alm.h \
-  $(SOPHYAINCP)stsrand.h \
   $(SOPHYAINCP)nbmath.h \
   $(SOPHYAINCP)triangmtx.h \
@@ -374,4 +378,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
@@ -402,5 +407,4 @@
   $(SOPHYAINCP)samba.h \
   $(SOPHYAINCP)alm.h \
-  $(SOPHYAINCP)stsrand.h \
   $(SOPHYAINCP)nbmath.h \
   $(SOPHYAINCP)triangmtx.h \
Index: trunk/SophyaProg/PrgMap/smakefile
===================================================================
--- trunk/SophyaProg/PrgMap/smakefile	(revision 3614)
+++ trunk/SophyaProg/PrgMap/smakefile	(revision 3615)
@@ -61,4 +61,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
@@ -89,5 +90,4 @@
   $(SOPHYAINCP)samba.h \
   $(SOPHYAINCP)alm.h \
-  $(SOPHYAINCP)stsrand.h \
   $(SOPHYAINCP)nbmath.h \
   $(SOPHYAINCP)triangmtx.h \
@@ -115,5 +115,6 @@
   $(SOPHYAINCP)FitsIO/longnam.h \
   $(SOPHYAINCP)fitshandler.h \
-  $(SOPHYAINCP)fitstarray.h
+  $(SOPHYAINCP)fitstarray.h \
+  $(SOPHYAINCP)randr48.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cl2map.cc
  
@@ -152,4 +153,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
@@ -204,4 +206,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
@@ -255,4 +258,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
@@ -295,4 +299,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
@@ -323,5 +328,4 @@
   $(SOPHYAINCP)samba.h \
   $(SOPHYAINCP)alm.h \
-  $(SOPHYAINCP)stsrand.h \
   $(SOPHYAINCP)nbmath.h \
   $(SOPHYAINCP)triangmtx.h \
@@ -374,4 +378,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
@@ -402,5 +407,4 @@
   $(SOPHYAINCP)samba.h \
   $(SOPHYAINCP)alm.h \
-  $(SOPHYAINCP)stsrand.h \
   $(SOPHYAINCP)nbmath.h \
   $(SOPHYAINCP)triangmtx.h \
Index: trunk/SophyaProg/PrgUtil/Makefile
===================================================================
--- trunk/SophyaProg/PrgUtil/Makefile	(revision 3614)
+++ trunk/SophyaProg/PrgUtil/Makefile	(revision 3615)
@@ -45,4 +45,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
Index: trunk/SophyaProg/PrgUtil/smakefile
===================================================================
--- trunk/SophyaProg/PrgUtil/smakefile	(revision 3614)
+++ trunk/SophyaProg/PrgUtil/smakefile	(revision 3615)
@@ -45,4 +45,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
Index: trunk/SophyaProg/Tests/lpk.cc
===================================================================
--- trunk/SophyaProg/Tests/lpk.cc	(revision 3614)
+++ trunk/SophyaProg/Tests/lpk.cc	(revision 3615)
@@ -92,5 +92,5 @@
   Matrix a(n,n);
   for(i=0; i<n; i++)
-    for(j=0; j<n; j++)  a(j,i) = GauRnd(0., 1.);
+    for(j=0; j<n; j++)  a(j,i) = Gaussian(1.,0.);
   
   Vector x(n), b;
@@ -98,5 +98,5 @@
   if (prtlev > 0) 
     cout << " ------------ Vector X = \n " << x << "\n" << endl; 
-  for(i=0; i<n; i++) x(i) = GauRnd(2., 1.5);
+  for(i=0; i<n; i++) x(i) = Gaussian(1.5,2.);
   b = a*x;
 
Index: trunk/SophyaProg/Tests/tfft.cc
===================================================================
--- trunk/SophyaProg/Tests/tfft.cc	(revision 3614)
+++ trunk/SophyaProg/Tests/tfft.cc	(revision 3615)
@@ -70,5 +70,5 @@
   if (inp_typ_random) 
     for (i=0; i<num ; i++){
-      ino[i] = in[i] = GauRnd(0., 1.);
+      ino[i] = in[i] = Gaussian(1.,0.);
       inc[i] = complex<T> (in[i], 0.);
     }
Index: trunk/SophyaProg/Tests/timg.cc
===================================================================
--- trunk/SophyaProg/Tests/timg.cc	(revision 3614)
+++ trunk/SophyaProg/Tests/timg.cc	(revision 3615)
@@ -34,5 +34,5 @@
 // Remplissage de l'image Tirage aleatoire plat entre 1000-2000
 for(i=0; i<300; i++)
-  for(j=0; j<200; j++) img(i,j) = imgo(i,j) =  frand01()*1000.+1000.;
+  for(j=0; j<200; j++) img(i,j) = imgo(i,j) =  drand01()*1000.+1000.;
 // Verification de la dynamique de l'image
 MeanSigma(img, mean, sig);
Index: trunk/SophyaProg/Tests/tmtrnd.cc
===================================================================
--- trunk/SophyaProg/Tests/tmtrnd.cc	(revision 3614)
+++ trunk/SophyaProg/Tests/tmtrnd.cc	(revision 3615)
@@ -81,10 +81,10 @@
   TVector<r_8> DATA(VSZ);
   {
-    Timer tm("f0_tmtrnd-GauRnd/drand01");
+    Timer tm("f0_tmtrnd-Gaussian/drand01");
     if (fgg) 
-      for(sa_size_t k=0; k<VSZ; k++)  DATA(k) = GauRnd(0., 1.);
+      for(sa_size_t k=0; k<VSZ; k++)  DATA(k) = Gaussian(1.,0.);
     else 
       for(sa_size_t k=0; k<VSZ; k++)  DATA(k) = drand01();
-    cout << "[2] f0_tmtrnd/ End of random generation using GauRnd()/drand01() " << endl;
+    cout << "[2] f0_tmtrnd/ End of random generation using Gaussian()/drand01() " << endl;
   }
   POutPersist po("data0.ppf");
@@ -102,5 +102,5 @@
 //  rg.GetSeed(seed,2);  // pour imprimer l'etat du generateur
   {
-    Timer tm("f0_tmtrnd-GauRnd/drand01");
+    Timer tm("f0_tmtrnd-Gaussian/drand01");
     if (fgg) 
       for(sa_size_t k=0; k<VSZ; k++)  DATA(k) = rg.Gaussian();
@@ -130,5 +130,5 @@
 //  rg.GetSeed(seed,2);  // pour imprimer l'etat du generateur
   {
-    Timer tm("f0_tmtrnd-GauRnd/drand01");
+    Timer tm("f0_tmtrnd-Gaussian/drand01");
     if (fgg) 
       for(sa_size_t k=0; k<VSZ; k++)  DATA(k) = rg.Gaussian();
Index: trunk/SophyaProg/Tests/tsphereecp.cc
===================================================================
--- trunk/SophyaProg/Tests/tsphereecp.cc	(revision 3614)
+++ trunk/SophyaProg/Tests/tsphereecp.cc	(revision 3615)
@@ -12,4 +12,5 @@
 #include "resusage.h"
 
+#include "randr48.h"
 #include "sphereecp.h"
 #include "fiosphereecp.h"
@@ -75,5 +76,5 @@
     }
     // Compute map from spectra
-    RandomGenerator rg; 
+    ThSDR48RandGen rg; 
     SphericalTransformServer<r_8> ylmserver(rg);
     SphereECP<r_8> map(256);
Index: trunk/SophyaProg/Tests/zthr.cc
===================================================================
--- trunk/SophyaProg/Tests/zthr.cc	(revision 3614)
+++ trunk/SophyaProg/Tests/zthr.cc	(revision 3615)
@@ -10,5 +10,5 @@
 #include "matharr.h"
 #include "tarrinit.h"
-#include "stsrand.h"
+#include "randr48.h"
 
 #include <stdlib.h>
@@ -63,5 +63,5 @@
 void randgenths(Array& mx, double sig)
 {
-  RandomGenerator rg;
+  ThSDR48RandGen rg; 
   for(sa_size_t j=0; j<mx.SizeY(); j++)   
     for(sa_size_t i=0; i<mx.SizeX(); i++) mx(i,j) = rg.Gaussian(sig);   
